#include <ishtar/settings.h>
#include <iostream>

int main(int argc, char *argv[])
{
	Ishtar::initSettings(argc, argv);
	
	// Load config file in text format containing the default value of variable timeStep
	Ishtar::settings->loadConfigFile("settings.txt");
	
	// New scope because all Ishtar variables have to be destroyed before Ishtar::cleanupSettings is called
	{
		// Ishtar variable, C++ name timeStep, Ishtar name "timeStep", default value = 0.0
		Ishtar::Variable<double> timeStep("timeStep", 0.0);
	
		// Print variable value
		std::cout << "Initial timeStep is " << timeStep << std::endl;
		timeStep += 1.0;
		std::cout << "Final timeStep is " << timeStep << std::endl;
	}
	
	Ishtar::cleanupSettings();
}